<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_openai_questions', language 'en', version '4.1'.
 *
 * @package     block_openai_questions
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addtoqbank'] = 'Add to question bank';
$string['apikey'] = 'OpenAI API Key';
$string['apikeylabel'] = 'The API key provided by OpenAI';
$string['cancel'] = 'Cancel';
$string['editquestions'] = 'Edit Questions';
$string['error_capability'] = 'Sorry, you don\'t have permission to generate questions in this course.';
$string['error_gpt_format'] = 'GPT failed to return questions in the correct format. Sorry, there\'s nothing you can do about this except try generating the questions again. You can refresh this page to re-attempt question generation.';
$string['generatequestions'] = 'Generate questions';
$string['herestheresponse'] = '\\n\\nHere\'s the response received from GPT:\\n\\';
$string['manage'] = 'OpenAI Question Generator Settings';
$string['markascorrect'] = 'Mark as correct';
$string['model'] = 'Model';
$string['modellabel'] = 'The model to use in order to generate questions';
$string['notanumber'] = 'Value must be a number that is between 1 and 10';
$string['numbermismatch'] = 'The number of questions generated by GPT doesn\'t match the number you requested. This may be because the number of questions you requested was too large, especially if the question text you submitted was very long. If this keeps happening, you may want to try using a different model (only an administrator can change the model used).';
$string['numquestions'] = 'Number of questions to generate';
$string['numquestions_help'] = 'GPT will be asked to generate this many questions, but it is just a request. Larger input text or more complex question types will limit GPT\'s ability to match the number asked for.';
$string['openai_questions'] = 'Question Generator';
$string['openai_questions:addinstance'] = 'Add a new Question Generator block';
$string['pluginname'] = 'OpenAI Question Generator';
$string['privacy:metadata'] = 'The OpenAI Questions block, by default, neither stores personal user data nor sends it to OpenAI. However, text submitted by teachers in order to generate questions is sent in its entirety to OpenAI, and is then subject to OpenAI\'s privacy policy (https://openai.com/api/policies/privacy/), which may store messages in order to improve the API. Additionally, this text is then used to generate questions that may be saved to the site.';
$string['qtype'] = 'Question type';
$string['qtype_help'] = 'Question types are ordered by their complexity. More complex question types will reduce GPT\'s ability to follow instructions or generate coherent questions.';
$string['sourcetext'] = 'Source text';
$string['sourcetextcharlength'] = 'Number of characters must be between 100 and 64,000';
