<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'sortvoting', language 'en', version '4.1'.
 *
 * @package     sortvoting
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowstudentsseeresults'] = 'Allow students to see the results';
$string['allowstudentsseeresults_help'] = 'If enabled, users will be able to see the results once they have voted.';
$string['allowupdate'] = 'Allow options to be updated';
$string['allowupdate_help'] = 'If enabled, users will be able to update their votes once it is submitted.

If new options are added, users will be able to update the votes even when they have already submitted them. (Even when this option is disabled)';
$string['atleasttwooptions'] = 'You need to provide at least two options.';
$string['calendarend'] = '{$a} closes';
$string['calendarstart'] = '{$a} opens';
$string['completiondetail:submit'] = 'Submit vote';
$string['completionsubmit'] = 'Student must submit a vote to complete this activity';
$string['errorduplicatedposition'] = 'All positions must be unique.';
$string['eventvoteupdated'] = 'Vote saved/updated';
$string['instructions'] = 'Change the options below into the desired order, so your preferred choice is at the top and your least favourite choice is at the bottom.';
$string['modulename'] = 'Preference Sort Voting';
$string['modulenameplural'] = 'Preference Sort Votings';
$string['nopermissionstoseeresponses'] = 'You do not have permissions to see the results';
$string['notenrolledsort'] = 'Sorry, only enrolled users are allowed to vote.';
$string['option'] = 'Option';
$string['optionno'] = 'Option {no}';
$string['options'] = 'Options';
$string['pluginadministration'] = 'Preference Sort Voting administration';
$string['pluginname'] = 'Preference Sort Voting';
$string['position'] = 'Position';
$string['privacy'] = 'Privacy of results';
$string['privacy:metadata:sortvoting_answers'] = 'Information about the user\'s votes for a given Preference Sort Voting activity';
$string['privacy:metadata:sortvoting_answers:optionid'] = 'The ID of the option that the user sorted.';
$string['privacy:metadata:sortvoting_answers:sortvotingid'] = 'The ID of the Preference Sort Voting activity';
$string['privacy:metadata:sortvoting_answers:timemodified'] = 'The timestamp indicating when the vote was modified by the user';
$string['privacy:metadata:sortvoting_answers:userid'] = 'The ID of the user answering this Preference Sort Voting activity';
$string['responses'] = 'Responses';
$string['sortoptions'] = 'Preference options';
$string['sortoptions_help'] = 'Here is where you specify the options that participants have to sort with their preferences.

You can fill in any number of these. If you leave some of the options blank, they will not be displayed. If you need more than 8 options, click the "Add 3 fields to form" button.';
$string['sortvoting'] = 'Preference Sort Voting';
$string['sortvoting:addinstance'] = 'Add a new Preference Sort Voting';
$string['sortvoting:deleteresponses'] = 'Modify responses';
$string['sortvoting:downloadresponses'] = 'Download responses';
$string['sortvoting:readresponses'] = 'View responses';
$string['sortvoting:view'] = 'View Preference Sort Voting activity';
$string['sortvoting:vote'] = 'Record a vote';
$string['sortvotingname'] = 'Voting name';
$string['sortvotingname_help'] = 'This will be the name used to identify this element in the course view.';
$string['sortvotingsettings'] = 'Voting name';
$string['voteerror'] = 'There was an error saving your vote.';
$string['votesuccess'] = 'Your vote has been saved successfully.';
$string['xvotesreceived'] = '{$a} vote(s) received';
